L'environnement de bureau KDE
Précédent | Chapitre 3. Installation | Suivant

# 3.4. Utilisation des TGZ pour l'installation sur d'autres systèmes

Si votre distribution Linux ne comporte pas d'archives au format RPM ou DEB, ou bien si vous n'utilisez pas Linux du tout, vous devez compiler KDE vous-même. Nous projetons de fournir dans le futur une distribution exécutable, qui contient son propre programme d'installation.

Pour compiler et installer KDE correctement, vous avez besoin des éléments suivants installés sur votre disque :

- Un compilateur ANSI-C, par exemple le compilateur C GNU.

- Un compilateur ANSI-C++, par exemple GNU C++.

- L'utilitaire make.

- La version 2.2 de développement de QT ou plus haut.

- La version de développement de X11 (les fichiers en-tête manquent souvent).

Une fois que toutes les applications annexes sont disponibles, allez sur votre site miroir KDE préféré et récupérez les fichiers suivants dans le répertoire `/pub/kde/stable/`(dernière version)`` :

- `kdesupport-`version`.tar.gz`

- `kdelibs-`version`.tar.gz`

- `kdebase-`version`.tar.gz`

- tout autre paquetage que vous souhaitez installer. Nous vous conseillons de prendre au moins kdeutils.

Dans tous les cas, `version` remplace le numéro de la version courante. Une fois que vous avez téléchargé tout ce dont vous avez besoin, décompressez ces fichiers dans `/usr/src`. Ce processus doit conduire à l'arborescence de répertoires suivante :

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (tout autre paquetage)

Assurez-vous d'avoir les droits en écriture dans `/opt/kde`.

Ensuite, vous devez compiler et installer les paquetages en utilisant les commandes suivantes :

1. cd dans le répertoire du paquetage que vous voulez installer (voir ci-dessus)

2. ./configure (avec les options que vous désirez appliquer)

3. make

4. make install

Appliquez les étapes ci-dessus à chaque paquetage que vous désirez installer.

| Ces instructions peuvent être utilisées pour n'importe quel paquetage de fichiers sources existant, pas uniquement les paquetages KDE.

Chaque script de configuration offre plusieurs options. Certaines sont communes à tous les paquetages tandis que d'autres sont spécifiques à un paquetage individuel. Ce qui suit est le résultat de la commande configure `--help` dans kdelibs :

       --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots
    of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use
    both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in
    DIR

Plusieurs options ne sont pas nécessaires et sont seulement utiles pour solutionner certains problèmes connus (par exemple `--disable-FEATURE`). Comme certaines sont des options importantes, par exemple --with-shadow, vous devez toujours vérifier les options disponibles.

Une option importante est `--prefix`. Cette option spécifie le chemin où configure devrait installer les fichiers (pour kdesupport et kdelibs) ou bien où il devrait chercher les bibliothèques (pour les autres paquetages). Par défaut, configure va regarder dans `/opt/kde`. Si vous voulez installer KDE dans `/usr/local/kde`, vous devrez utiliser configure `--prefix `/usr/local/kde``.

Si vous avez installé les bibliothèques dans un endroit inhabituel, par exemple dans `$HOME/src/qt`, vous devez utiliser configure `--with-qt-dir=$HOME/src/qt`. Par défaut, configure cherche QT dans les endroits les plus habituels avant d'abandonner.

Si vous avez des problèmes que vous ne réussissez pas à résoudre, envoyez une copie du fichier `config.log` à l'adresse se trouvant dans le fichier `README` dans le paquetage incriminé.

Vous devez installer KDE dans l'ordre suivant : kdesupport, kdelibs, puis les paquetages d'applications (par exemple kdebase). Tous les paquetages d'applications ne dépendent en principe que de kdelibs, donc vous pouvez les compiler simultanément (si vous avez une machine puissante).

Si vous voulez profiter de systèmes multiprocesseurs, essayez make `-j `<nombre de processeurs>`` à la place de make.

## 3.4.1. Notes de construction spécifiques à chaque plate-forme.

### 3.4.1.1. Linux

Pour Linux, la plupart des utilitaires nécessaire à l'installation de KDE peuvent être trouvées soit à ftp://sunsite.unc.edu/pub/Linux/GCC ou à ftp://sunsite.unc.edu/pub/GNU. Les bibliothèques Qt peuvent être trouvées à ftp://ftp.troll.no/pub/qt/linux, disponibles en formats source ou RPM pour Linux. Les deux contiennent des instructions détaillées pour leur installation. Les fichiers en-tête pour les programmes X11 devraient être disponibles à ftp://ftp.xfree86.org dans la section xdevel.

Précédent | Sommaire | Suivant
Linux : installer des paquetages DEBs pour Debian | Niveau supérieur | Changements nécessaires à vos fichiers de configuration